Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface SharedLibraryBinary

    org.gradle.api.Buildable
      org.gradle.nativebinaries.SharedLibraryBinary
          org.gradle.language.base.Binary
              org.gradle.nativebinaries.NativeBinary
                  org.gradle.nativebinaries.LibraryResolver
                      org.gradle.api.Named
                          org.gradle.language.base.BuildableModelElement
                              org.gradle.nativebinaries.LibraryBinary

All Superinterfaces:
  Buildable, Binary, NativeBinary, LibraryResolver, Named, BuildableModelElement, LibraryBinary

    @Incubating
    public interface SharedLibraryBinary
    extends LibraryBinary

A Library that has been compiled and linked as a shared library.

Method Summary

Methods inherited from interface LibraryBinary
getComponent

Methods inherited from interface NativeBinary
getBuildType, getComponent, getFlavor, getLibs, getLinker, getOutputFile, getSource, getTargetPlatform, getTasks, getToolChain, isBuildable, lib, setOutputFile, source

Methods inherited from interface LibraryResolver
resolve

Gradle API 1.10